/* Diese Datei ist Teil von pmv-client <https://git.piratenpartei-sh.de>
 *
 * pmv-client ist Freie Software: Sie können es unter den Bedingungen
 * der GNU General Public License, wie von der Free Software Foundation,
 * Version 3 der Lizenz weiter verteilen und/oder modifizieren.
 *
 * Dieses Programm wird in der Hoffnung bereitgestellt, dass es nützlich sein
 * wird, jedoch OHNE JEDE GEWÄHR,; sogar ohne die implizite Gewähr der
 * MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
 * Siehe die GNU General Public License für weitere Einzelheiten.
 *
 * Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 * Programm erhalten haben. Wenn nicht, siehe <https://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: GPL-3.0-only
 */

#include "conndialog.h"
#include "ui_conndialog.h"
#include "mainwindow.h"

#include <QMainWindow>
#include <QSettings>
#include <QPushButton>
#include <QMessageBox>

ConnDialog::ConnDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ConnDialog)
{
    ui->setupUi(this);
    ui->buttonBox->button(QDialogButtonBox::Ok)->setText("Verbinden");
    ui->buttonBox->button(QDialogButtonBox::Cancel)->setText("Abbruch");

    QSettings s;
    ui->lineEdit_server->setText(s.value("host").toString());
    ui->spinBox_port->setValue(s.value("port").toUInt());
    ui->lineEdit_db->setText(s.value("db").toString());
    ui->lineEdit_user->setText(s.value("user").toString());

}

ConnDialog::~ConnDialog()
{
    delete ui;
}

QString ConnDialog::getHost()
{
    return ui->lineEdit_server->text();
}

qint16 ConnDialog::getPort()
{
    return ui->spinBox_port->value();
}

QString ConnDialog::getDatabaseName()
{
    return ui->lineEdit_db->text();
}

QString ConnDialog::getUserName()
{
    return ui->lineEdit_user->text();
}

QString ConnDialog::getPassword()
{
    return ui->lineEdit_pass->text();
}
