/* Diese Datei ist Teil von pmv-client <https://git.piratenpartei-sh.de>
 *
 * pmv-client ist Freie Software: Sie können es unter den Bedingungen
 * der GNU General Public License, wie von der Free Software Foundation,
 * Version 3 der Lizenz weiter verteilen und/oder modifizieren.
 *
 * Dieses Programm wird in der Hoffnung bereitgestellt, dass es nützlich sein
 * wird, jedoch OHNE JEDE GEWÄHR,; sogar ohne die implizite Gewähr der
 * MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
 * Siehe die GNU General Public License für weitere Einzelheiten.
 *
 * Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 * Programm erhalten haben. Wenn nicht, siehe <https://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: GPL-3.0-only
 */

#ifndef LANDESVERBAND_H
#define LANDESVERBAND_H

#include <QString>
#include <QDate>

class Landesverband
{

public:
    Landesverband();
    ~Landesverband();
    bool loadFromDatabase();
    bool isInitialized();
    QString getVersion();
    QDate getReleaseDate();
    QString getLVPrefix();
    QString getLVAdresse();
    QString getLVTelefon();
    QString getLVMail();
    uint getOffsetNrNeu();
    uint getBundeslandLs();
    QString getLVIBAN();
    QString getLVBIC();
    QString getLVBank();
    uint getStdBeitrag();

private:
    bool initialized;
    QString version;
    QDate releasedate;
    QString lvprefix;
    QString lvadresse;
    QString lvtelefon;
    QString lvmail;
    uint offsetnrneu;
    QString bundesland;
    uint bundesland_ls;
    QString lviban;
    QString lvbic;
    QString lvbank;
    uint stdbeitrag;

};

#endif // LANDESVERBAND_H
