/* Diese Datei ist Teil von pmv-client <https://git.piratenpartei-sh.de>
 *
 * pmv-client ist Freie Software: Sie können es unter den Bedingungen
 * der GNU General Public License, wie von der Free Software Foundation,
 * Version 3 der Lizenz weiter verteilen und/oder modifizieren.
 *
 * Dieses Programm wird in der Hoffnung bereitgestellt, dass es nützlich sein
 * wird, jedoch OHNE JEDE GEWÄHR,; sogar ohne die implizite Gewähr der
 * MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
 * Siehe die GNU General Public License für weitere Einzelheiten.
 *
 * Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 * Programm erhalten haben. Wenn nicht, siehe <https://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: GPL-3.0-only
 */

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "landesverband.h"

#include <QMainWindow>
#include <QLabel>
#include <QtSql>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
    QSqlDatabase db;
    Landesverband lv;
    bool development;

private slots:
    void on_actionVerbindung_triggered();

    void on_actionUeber_triggered();

    void on_pushButton_edit_clicked();

    void on_actionBeenden_triggered();

    void on_actionKennwort_triggered();

    void on_actionAnleitung_triggered();

    void on_actionImport_triggered();

    void on_actionWahlen_triggered();

    void on_actionWahlkreise_triggered();

    void on_actionEinstellungen_triggered();

    void on_lineEdit_filter_textChanged(const QString &arg1);

    void on_comboBox_filter_currentIndexChanged(int index);

    void on_pushButton_clear_clicked();

    void on_pushButton_add_clicked();

    void on_checkBox_stateChanged(int arg1);

private:
    Ui::MainWindow *ui;
    QSqlQueryModel *model;
    QLabel *statusLabel;
    QString sessionkey;

    bool check_wireguard();
    bool check_interface(QString ifname);
    void init_sessionkey();

};
#endif // MAINWINDOW_H
