/* Diese Datei ist Teil von pmv-client <https://git.piratenpartei-sh.de>
 *
 * pmv-client ist Freie Software: Sie können es unter den Bedingungen
 * der GNU General Public License, wie von der Free Software Foundation,
 * Version 3 der Lizenz weiter verteilen und/oder modifizieren.
 *
 * Dieses Programm wird in der Hoffnung bereitgestellt, dass es nützlich sein
 * wird, jedoch OHNE JEDE GEWÄHR,; sogar ohne die implizite Gewähr der
 * MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
 * Siehe die GNU General Public License für weitere Einzelheiten.
 *
 * Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 * Programm erhalten haben. Wenn nicht, siehe <https://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: GPL-3.0-only
 */

#include "wahlkreisdialog.h"
#include "ui_wahlkreisdialog.h"

WahlkreisDialog::WahlkreisDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::WahlkreisDialog)
{
    ui->setupUi(this);

    // Wahlkreise
    model = new QSqlTableModel(this);
    model->setTable("wahlkreis");
    model->setFilter("wahl_id=1");
    model->setEditStrategy(QSqlTableModel::OnManualSubmit);
    model->setHeaderData(0, Qt::Horizontal, "ID");
    model->setHeaderData(1, Qt::Horizontal, "Nummer");
    model->setHeaderData(2, Qt::Horizontal, "Bezeichnung");
    model->setSort(1, Qt::AscendingOrder);

    ui->tableView->setModel(model);
    ui->tableView->setColumnHidden(0, true);
    ui->tableView->setSelectionBehavior(QAbstractItemView::SelectRows);
    ui->tableView->setEditTriggers(QAbstractItemView::NoEditTriggers);
    ui->tableView->horizontalHeader()->setStretchLastSection(true);
    model->select();

    // Wahl-Auswahl direkt aus der Datenbank
    wahlmodel = new QSqlQueryModel;
    wahlmodel->setQuery("SELECT id, bezeichnung FROM wahl ORDER BY wahltag");
    ui->comboBox_wahl->setModel(wahlmodel);
    ui->comboBox_wahl->setModelColumn(1);

}

WahlkreisDialog::~WahlkreisDialog()
{
    delete ui;
}

void WahlkreisDialog::on_comboBox_wahl_currentIndexChanged(int index)
{
    QModelIndex mi = wahlmodel->index(index, 0);
    model->setFilter("wahl_id="+wahlmodel->data(mi).toString());
}
